package com.bjtdba.entity.merchant;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

public class MerchantIntention {
    private Integer uid;//用户ID                                       !
    private String mer_name;//商户名称                                  !
    private String mer_short_name;//商户简称
    private String name;//客户姓名                                      !
    private Date create_time;//创建时间
    private Integer status;//处理状态
    private String check_result;//审核结果
    private Integer is_del;//删除状态
    private String mark;//简介                                          !
    private Integer mer_id;//商户ID                                      !
    private String lat;//纬度
    private String lng;//经度
    private String addr;//地址                                           !
    private String house_number;//门牌号
    private String doorhead;//门头照片
    private String business_license;//营业执照                             !
    private String phone;//手机号 --                                       ！
    private String card_positive_person;//身份证正面（法人）                 !
    private String card_back_person;//身份证反面（法人）                     !
    private String identification_valid_date_start;//身份证开始时间
    private String identification_valid_date_end;//身份证结束时间
    private String idcard_no;//法人身份证号
    private String email;//邮箱                                              ！
    private String bank_name;//银行编码    ?
    private String bank_account;//开户账号                                   !
    private String bank_location;//开户所在地                                !
    private String bank_deposit;//开户行                                    !
    //private String bank_branch;//开户支行
    private String open_account;//开户许可证
    private String logo;//logo                                              !
    private String desc;//简介                                                !
    private String cate_id;//分类ID                                           !
    private String business_addr;// 营业执照地址                              !
    private String addrs;//半路径
    private Integer type;//商家类型---企业还是个人                                !
    private String acc_type;//对公 对私
    private String spread_account;//推荐人手机号
    private Integer province_id;//省份地址ID                                    ！
    private Integer city_id;//城市地址ID                                        ！
    private Integer area_id;//区域地址ID                                        ！
    private Integer street_id;//街道地址ID                                      ！
    private String credit_code;//社会信誉代码                                    !
    //private String business_premises2;//营业场所室内照片
    //private String business_premises3;//营业场所室外照片
    //private String business_premises4;//协议盖章
    private String agent_apply_no;//申请单号
    private String haike_wx_type;//微信营业范围
    private String haike_wx_type_label;//
    private String haike_wx_appid;
    private String haike_wx_qrcode;
    private String haike_ali_type;
    private String haike_ali_type_label;
    private Integer haike_wx_status;
    private Integer haike_wx_appid_status;
    private Integer haike_ali_status;
    private Integer haike_mcc_type;
    private Integer haike_wx_auth_status;
    private Integer haike_wx_auth_apply_status;
    private String haike_wxsub_merch_no;
    private Integer haike_receive_flag;
    private Integer is_branch;//是否分店
    private String merc_start_time;//营业执照开始时间
    private String merc_end_time;//营业执照结束时间
    private String mcc_cd;//行业大类
    private String mcc_sub_cd;//行业细类
    private Integer merc_attr;//商户性质
    private BigDecimal min_rtn_amt;//最低留存金额
    private Integer pas_stl_flg;//暂停结算标示
    private BigDecimal stl_beg_amt;//结算开始金额
    private Integer request_id;//卡拉卡的请求ID
    private Integer sxy_declare_id;//首信入网ID
    private Integer hf_status;//汇付状态
    private String hf_api_key;//汇付请求key
    private String app_id;//汇付请求app ID
    private String hf_api_key_wx;//汇付请求微信key
    private String app_id_wx;//汇付请求微信app ID
    private String activation_code;//激活码
    private String hf_jinjian_id_al;//汇付进件ID
    private String hf_jinjian_id_wx;//汇付入驻ID

    private Map<String,String> provinceMap;
    private Map<String,String> cityMap;
    private Map<String,String> areaMap;
    private Map<String,String> streetMap;

    public Map<String, String> getProvinceMap() {
        return provinceMap;
    }

    public void setProvinceMap(Map<String, String> provinceMap) {
        this.provinceMap = provinceMap;
    }

    public Map<String, String> getCityMap() {
        return cityMap;
    }

    public void setCityMap(Map<String, String> cityMap) {
        this.cityMap = cityMap;
    }

    public Map<String, String> getAreaMap() {
        return areaMap;
    }

    public void setAreaMap(Map<String, String> areaMap) {
        this.areaMap = areaMap;
    }

    public Map<String, String> getStreetMap() {
        return streetMap;
    }

    public void setStreetMap(Map<String, String> streetMap) {
        this.streetMap = streetMap;
    }

    public String getOpen_account() {
        return open_account;
    }

    public void setOpen_account(String open_account) {
        this.open_account = open_account;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMer_name() {
        return mer_name;
    }

    public void setMer_name(String mer_name) {
        this.mer_name = mer_name;
    }

    public String getMer_short_name() {
        return mer_short_name;
    }

    public void setMer_short_name(String mer_short_name) {
        this.mer_short_name = mer_short_name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCheck_result() {
        return check_result;
    }

    public void setCheck_result(String check_result) {
        this.check_result = check_result;
    }

    public Integer getIs_del() {
        return is_del;
    }

    public void setIs_del(Integer is_del) {
        this.is_del = is_del;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getHouse_number() {
        return house_number;
    }

    public void setHouse_number(String house_number) {
        this.house_number = house_number;
    }

    public String getDoorhead() {
        return doorhead;
    }

    public void setDoorhead(String doorhead) {
        this.doorhead = doorhead;
    }

    public String getBusiness_license() {
        return business_license;
    }

    public void setBusiness_license(String business_license) {
        this.business_license = business_license;
    }

    public String getCard_positive_person() {
        return card_positive_person;
    }

    public void setCard_positive_person(String card_positive_person) {
        this.card_positive_person = card_positive_person;
    }

    public String getCard_back_person() {
        return card_back_person;
    }

    public void setCard_back_person(String card_back_person) {
        this.card_back_person = card_back_person;
    }

    public String getIdentification_valid_date_start() {
        return identification_valid_date_start;
    }

    public void setIdentification_valid_date_start(String identification_valid_date_start) {
        this.identification_valid_date_start = identification_valid_date_start;
    }

    public String getIdentification_valid_date_end() {
        return identification_valid_date_end;
    }

    public void setIdentification_valid_date_end(String identification_valid_date_end) {
        this.identification_valid_date_end = identification_valid_date_end;
    }

    public String getIdcard_no() {
        return idcard_no;
    }

    public void setIdcard_no(String idcard_no) {
        this.idcard_no = idcard_no;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getBank_name() {
        return bank_name;
    }

    public void setBank_name(String bank_name) {
        this.bank_name = bank_name;
    }

    public String getBank_account() {
        return bank_account;
    }

    public void setBank_account(String bank_account) {
        this.bank_account = bank_account;
    }

    public String getBank_location() {
        return bank_location;
    }

    public void setBank_location(String bank_location) {
        this.bank_location = bank_location;
    }

    public String getBank_deposit() {
        return bank_deposit;
    }

    public void setBank_deposit(String bank_deposit) {
        this.bank_deposit = bank_deposit;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getCate_id() {
        return cate_id;
    }

    public void setCate_id(String cate_id) {
        this.cate_id = cate_id;
    }

    public String getBusiness_addr() {
        return business_addr;
    }

    public void setBusiness_addr(String business_addr) {
        this.business_addr = business_addr;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getAcc_type() {
        return acc_type;
    }

    public void setAcc_type(String acc_type) {
        this.acc_type = acc_type;
    }

    public String getSpread_account() {
        return spread_account;
    }

    public void setSpread_account(String spread_account) {
        this.spread_account = spread_account;
    }

    public Integer getProvince_id() {
        return province_id;
    }

    public void setProvince_id(Integer province_id) {
        this.province_id = province_id;
    }

    public Integer getCity_id() {
        return city_id;
    }

    public void setCity_id(Integer city_id) {
        this.city_id = city_id;
    }

    public Integer getArea_id() {
        return area_id;
    }

    public void setArea_id(Integer area_id) {
        this.area_id = area_id;
    }

    public Integer getStreet_id() {
        return street_id;
    }

    public void setStreet_id(Integer street_id) {
        this.street_id = street_id;
    }

    public String getCredit_code() {
        return credit_code;
    }

    public void setCredit_code(String credit_code) {
        this.credit_code = credit_code;
    }

    public String getAgent_apply_no() {
        return agent_apply_no;
    }

    public void setAgent_apply_no(String agent_apply_no) {
        this.agent_apply_no = agent_apply_no;
    }

    public String getHaike_wx_type() {
        return haike_wx_type;
    }

    public void setHaike_wx_type(String haike_wx_type) {
        this.haike_wx_type = haike_wx_type;
    }

    public String getHaike_wx_type_label() {
        return haike_wx_type_label;
    }

    public void setHaike_wx_type_label(String haike_wx_type_label) {
        this.haike_wx_type_label = haike_wx_type_label;
    }

    public String getHaike_wx_appid() {
        return haike_wx_appid;
    }

    public void setHaike_wx_appid(String haike_wx_appid) {
        this.haike_wx_appid = haike_wx_appid;
    }

    public String getHaike_wx_qrcode() {
        return haike_wx_qrcode;
    }

    public void setHaike_wx_qrcode(String haike_wx_qrcode) {
        this.haike_wx_qrcode = haike_wx_qrcode;
    }

    public String getHaike_ali_type() {
        return haike_ali_type;
    }

    public void setHaike_ali_type(String haike_ali_type) {
        this.haike_ali_type = haike_ali_type;
    }

    public String getHaike_ali_type_label() {
        return haike_ali_type_label;
    }

    public void setHaike_ali_type_label(String haike_ali_type_label) {
        this.haike_ali_type_label = haike_ali_type_label;
    }

    public Integer getHaike_wx_status() {
        return haike_wx_status;
    }

    public void setHaike_wx_status(Integer haike_wx_status) {
        this.haike_wx_status = haike_wx_status;
    }

    public Integer getHaike_wx_appid_status() {
        return haike_wx_appid_status;
    }

    public void setHaike_wx_appid_status(Integer haike_wx_appid_status) {
        this.haike_wx_appid_status = haike_wx_appid_status;
    }

    public Integer getHaike_ali_status() {
        return haike_ali_status;
    }

    public void setHaike_ali_status(Integer haike_ali_status) {
        this.haike_ali_status = haike_ali_status;
    }

    public Integer getHaike_mcc_type() {
        return haike_mcc_type;
    }

    public void setHaike_mcc_type(Integer haike_mcc_type) {
        this.haike_mcc_type = haike_mcc_type;
    }

    public Integer getHaike_wx_auth_status() {
        return haike_wx_auth_status;
    }

    public void setHaike_wx_auth_status(Integer haike_wx_auth_status) {
        this.haike_wx_auth_status = haike_wx_auth_status;
    }

    public Integer getHaike_wx_auth_apply_status() {
        return haike_wx_auth_apply_status;
    }

    public void setHaike_wx_auth_apply_status(Integer haike_wx_auth_apply_status) {
        this.haike_wx_auth_apply_status = haike_wx_auth_apply_status;
    }

    public String getHaike_wxsub_merch_no() {
        return haike_wxsub_merch_no;
    }

    public void setHaike_wxsub_merch_no(String haike_wxsub_merch_no) {
        this.haike_wxsub_merch_no = haike_wxsub_merch_no;
    }

    public Integer getHaike_receive_flag() {
        return haike_receive_flag;
    }

    public void setHaike_receive_flag(Integer haike_receive_flag) {
        this.haike_receive_flag = haike_receive_flag;
    }

    public Integer getIs_branch() {
        return is_branch;
    }

    public void setIs_branch(Integer is_branch) {
        this.is_branch = is_branch;
    }

    public String getMerc_start_time() {
        return merc_start_time;
    }

    public void setMerc_start_time(String merc_start_time) {
        this.merc_start_time = merc_start_time;
    }

    public String getMerc_end_time() {
        return merc_end_time;
    }

    public void setMerc_end_time(String merc_end_time) {
        this.merc_end_time = merc_end_time;
    }

    public String getMcc_cd() {
        return mcc_cd;
    }

    public void setMcc_cd(String mcc_cd) {
        this.mcc_cd = mcc_cd;
    }

    public String getMcc_sub_cd() {
        return mcc_sub_cd;
    }

    public void setMcc_sub_cd(String mcc_sub_cd) {
        this.mcc_sub_cd = mcc_sub_cd;
    }

    public Integer getMerc_attr() {
        return merc_attr;
    }

    public void setMerc_attr(Integer merc_attr) {
        this.merc_attr = merc_attr;
    }

    public BigDecimal getMin_rtn_amt() {
        return min_rtn_amt;
    }

    public void setMin_rtn_amt(BigDecimal min_rtn_amt) {
        this.min_rtn_amt = min_rtn_amt;
    }

    public Integer getPas_stl_flg() {
        return pas_stl_flg;
    }

    public void setPas_stl_flg(Integer pas_stl_flg) {
        this.pas_stl_flg = pas_stl_flg;
    }

    public BigDecimal getStl_beg_amt() {
        return stl_beg_amt;
    }

    public void setStl_beg_amt(BigDecimal stl_beg_amt) {
        this.stl_beg_amt = stl_beg_amt;
    }

    public Integer getRequest_id() {
        return request_id;
    }

    public void setRequest_id(Integer request_id) {
        this.request_id = request_id;
    }

    public Integer getSxy_declare_id() {
        return sxy_declare_id;
    }

    public void setSxy_declare_id(Integer sxy_declare_id) {
        this.sxy_declare_id = sxy_declare_id;
    }

    public Integer getHf_status() {
        return hf_status;
    }

    public void setHf_status(Integer hf_status) {
        this.hf_status = hf_status;
    }

    public String getHf_api_key() {
        return hf_api_key;
    }

    public void setHf_api_key(String hf_api_key) {
        this.hf_api_key = hf_api_key;
    }

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String getHf_api_key_wx() {
        return hf_api_key_wx;
    }

    public void setHf_api_key_wx(String hf_api_key_wx) {
        this.hf_api_key_wx = hf_api_key_wx;
    }

    public String getApp_id_wx() {
        return app_id_wx;
    }

    public void setApp_id_wx(String app_id_wx) {
        this.app_id_wx = app_id_wx;
    }

    public String getActivation_code() {
        return activation_code;
    }

    public void setActivation_code(String activation_code) {
        this.activation_code = activation_code;
    }

    public String getHf_jinjian_id_al() {
        return hf_jinjian_id_al;
    }

    public void setHf_jinjian_id_al(String hf_jinjian_id_al) {
        this.hf_jinjian_id_al = hf_jinjian_id_al;
    }

    public String getHf_jinjian_id_wx() {
        return hf_jinjian_id_wx;
    }

    public void setHf_jinjian_id_wx(String hf_jinjian_id_wx) {
        this.hf_jinjian_id_wx = hf_jinjian_id_wx;
    }

    @Override
    public String toString() {
        return "MerchantIntention{" +
                  "uid=" + uid +
                  ", mer_name='" + mer_name + '\'' +
                  ", mer_short_name='" + mer_short_name + '\'' +
                  ", name='" + name + '\'' +
                  ", create_time=" + create_time +
                  ", status=" + status +
                  ", check_result='" + check_result + '\'' +
                  ", is_del=" + is_del +
                  ", mark='" + mark + '\'' +
                  ", mer_id=" + mer_id +
                  ", lat='" + lat + '\'' +
                  ", lng='" + lng + '\'' +
                  ", addr='" + addr + '\'' +
                  ", house_number='" + house_number + '\'' +
                  ", doorhead='" + doorhead + '\'' +
                  ", business_license='" + business_license + '\'' +
                  ", phone='" + phone + '\'' +
                  ", card_positive_person='" + card_positive_person + '\'' +
                  ", card_back_person='" + card_back_person + '\'' +
                  ", identification_valid_date_start='" + identification_valid_date_start + '\'' +
                  ", identification_valid_date_end='" + identification_valid_date_end + '\'' +
                  ", idcard_no='" + idcard_no + '\'' +
                  ", email='" + email + '\'' +
                  ", bank_name='" + bank_name + '\'' +
                  ", bank_account='" + bank_account + '\'' +
                  ", bank_location='" + bank_location + '\'' +
                  ", bank_deposit='" + bank_deposit + '\'' +
                  ", open_account='" + open_account + '\'' +
                  ", logo='" + logo + '\'' +
                  ", desc='" + desc + '\'' +
                  ", cate_id='" + cate_id + '\'' +
                  ", business_addr='" + business_addr + '\'' +
                  ", addrs='" + addrs + '\'' +
                  ", type=" + type +
                  ", acc_type='" + acc_type + '\'' +
                  ", spread_account='" + spread_account + '\'' +
                  ", province_id=" + province_id +
                  ", city_id=" + city_id +
                  ", area_id=" + area_id +
                  ", street_id=" + street_id +
                  ", credit_code='" + credit_code + '\'' +
                  ", agent_apply_no='" + agent_apply_no + '\'' +
                  ", haike_wx_type='" + haike_wx_type + '\'' +
                  ", haike_wx_type_label='" + haike_wx_type_label + '\'' +
                  ", haike_wx_appid='" + haike_wx_appid + '\'' +
                  ", haike_wx_qrcode='" + haike_wx_qrcode + '\'' +
                  ", haike_ali_type='" + haike_ali_type + '\'' +
                  ", haike_ali_type_label='" + haike_ali_type_label + '\'' +
                  ", haike_wx_status=" + haike_wx_status +
                  ", haike_wx_appid_status=" + haike_wx_appid_status +
                  ", haike_ali_status=" + haike_ali_status +
                  ", haike_mcc_type=" + haike_mcc_type +
                  ", haike_wx_auth_status=" + haike_wx_auth_status +
                  ", haike_wx_auth_apply_status=" + haike_wx_auth_apply_status +
                  ", haike_wxsub_merch_no='" + haike_wxsub_merch_no + '\'' +
                  ", haike_receive_flag=" + haike_receive_flag +
                  ", is_branch=" + is_branch +
                  ", merc_start_time='" + merc_start_time + '\'' +
                  ", merc_end_time='" + merc_end_time + '\'' +
                  ", mcc_cd='" + mcc_cd + '\'' +
                  ", mcc_sub_cd='" + mcc_sub_cd + '\'' +
                  ", merc_attr=" + merc_attr +
                  ", min_rtn_amt=" + min_rtn_amt +
                  ", pas_stl_flg=" + pas_stl_flg +
                  ", stl_beg_amt=" + stl_beg_amt +
                  ", request_id=" + request_id +
                  ", sxy_declare_id=" + sxy_declare_id +
                  ", hf_status=" + hf_status +
                  ", hf_api_key='" + hf_api_key + '\'' +
                  ", app_id='" + app_id + '\'' +
                  ", hf_api_key_wx='" + hf_api_key_wx + '\'' +
                  ", app_id_wx='" + app_id_wx + '\'' +
                  ", activation_code='" + activation_code + '\'' +
                  ", hf_jinjian_id_al='" + hf_jinjian_id_al + '\'' +
                  ", hf_jinjian_id_wx='" + hf_jinjian_id_wx + '\'' +
                  ", provinceMap=" + provinceMap +
                  ", cityMap=" + cityMap +
                  ", areaMap=" + areaMap +
                  ", streetMap=" + streetMap +
                  '}';
    }
}
